import routines 
from routines import quantile 

def test(level=1, verbosity=1):
	from numpy.testing import NumpyTest
	return NumpyTest().test(level, verbosity)

def median(x):
	return quantile(x, interp=True)

"""
For the time being, assume axis=0
"""
def mahalanobis(x, vx):
        dim = x.shape[0]
        vx_flat = vx.reshape( [dim*dim]+list(vx.shape[2:]) )
        d2 = routines.mahalanobis(x, vx_flat).reshape(vx.shape[2:])
        return d2                
