# -*- Mode: Python -*-  Not really, but the syntax is close enough

"""
Python access to core fff functions written in C.

Basic statistical routines.
Author: Alexis Roche (CEA, Orsay, France), 2004-2007.
"""

__version__ = '0.1'

# Includes from the python headers


include "Python.pxi"
include "numpy.pxi"

#cdef extern from "fff_types.h":
    ## ctypedef struct gsl_vector:
    ##     double* data
    ##     size_t stride
    ##     size_t size
    ##     void* owner
    ##     void* block

    ## ctypedef struct gsl_vector:
    ##     char *data
    ##     int nd
    ##     npy_intp *dimensions
    ##     npy_intp *strides
    ##     int flags

################################################
# Initialize numpy
import_array()

import numpy as np

cdef extern from "fff_routines.h":
    cdef double fff_quantile_from_temp_data( ndarray x, double r, int interp )
    
# Utility functions
def quantile(data, ratio=.5, interp=False, axis=0):
    """T = quantile(data, ratio=.5, interp=False, axis=0)
    Comments to follow."""

    cdef int ndim = data.ndim

    print '*'*80
    print 'Data:\n',dir(data)
    print 'data dim:', data.ndim
    print '*'*80
    
    return fff_quantile_from_temp_data( data,ratio,interp)
