#include <stdlib.h>

#ifndef FFF_TYPES_H
#define FFF_TYPES_H

#include <numpy/arrayobject.h>

/*
typedef struct {
    double* data;
    size_t stride;
    size_t size;
    void* owner;
    void* block;
} gsl_vector;
*/
#define gsl_vector PyArrayObject

#define GSL_MAX(a,b) (a>b? a : b)

#define GSL_POSINF 999.9

#define GSL_NAN 0


/* Auxiliary struct for permutations */ 
typedef struct{
  gsl_vector* tmp; 
  double ratio;
  int interp; 
} quantile_struct;

#endif
// -------------------------- END OF FILE fff_types_h ------------------------
